curl --request GET \
--url https://api.themoviedb.org/3/movie/latest \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/latest"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": null,
"belongs_to_collection": null,
"budget": 4800000,
"genres": [],
"homepage": "http://rainbowfriendsmovie.com",
"id": 1411987,
"imdb_id": null,
"origin_country": [
"US"
],
"original_language": "en",
"original_title": "Rainbow Friends",
"overview": "A group of schoolchildren embark on a field trip to an amusement park called Odd World, but the day takes a dark turn when their bus driver makes a wrong turn, leading to a crash. The driver is killed, and the children are left unconscious. Upon awakening, they find themselves trapped in a mysterious, sprawling indoor amusement center. An unknown figure forces them to complete a series of unsettling tasks, and the children soon realize they are not alone. Strange monsters roam the facility, creating an atmosphere of fear and uncertainty. As they navigate the eerie environment, the children must work together to survive and uncover the truth behind their captivity.",
"popularity": 0,
"poster_path": null,
"production_companies": [],
"production_countries": [],
"release_date": "",
"revenue": 0,
"runtime": 120,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "In Production",
"tagline": "It was supposed to be a normal field trip, but the Rainbow Friends want to play...",
"title": "Rainbow Friends",
"video": false,
"vote_average": 0,
"vote_count": 0
}Latest
This endpoint get the newest movie ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
latest
false
4800000
[]
"http://rainbowfriendsmovie.com"
1411987
["US"]
"en"
"Rainbow Friends"
"A group of schoolchildren embark on a field trip to an amusement park called Odd World, but the day takes a dark turn when their bus driver makes a wrong turn, leading to a crash. The driver is killed, and the children are left unconscious. Upon awakening, they find themselves trapped in a mysterious, sprawling indoor amusement center. An unknown figure forces them to complete a series of unsettling tasks, and the children soon realize they are not alone. Strange monsters roam the facility, creating an atmosphere of fear and uncertainty. As they navigate the eerie environment, the children must work together to survive and uncover the truth behind their captivity."
0
[]
[]
""
0
120
Show child attributes
Show child attributes
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
]
"In Production"
"It was supposed to be a normal field trip, but the Rainbow Friends want to play..."
"Rainbow Friends"
false
0
0